Bug 34188 - I18N - Column headers in import management wizard windows do not fully appear in other locales when translated and/or using larger font sizes
I18N - Column headers in import management wizard windows do not fully appear...
Status: RESOLVED WONTFIX
Product: java
Classification: Unclassified
Component: Unsupported
3.x
Sun Solaris
: P2 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@java
: I18N
Depends on: 34379
Blocks: 33246
  Show dependency treegraph
 
Reported: 2003-06-05 00:45 UTC by Ken Frank
Modified: 2007-09-26 09:14 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
wizard panel (18.66 KB, image/gif)
2003-06-05 00:47 UTC, Ken Frank
Details
other wizard panel (19.50 KB, image/gif)
2003-06-05 00:48 UTC, Ken Frank
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2003-06-05 00:45:47 UTC
Using pseudo localized product, with each message
or label
having additional multibyte text, and using
-fontsize 16
option, running in Chinese locale,

Steps:
1)create an empty "java main class" from the new
wizard..
2)Include the code "Graphics g" in the "main()"
method..i will attach
 a snap
shot of the sample code so that you know when to
include this line..
3)save it.Then go to Tools->Import Management
Tool.
4)you will see the resizing vertical scroll bar
issue on this window
(Import_Management1).Press Next
and you will see the same issue in this window
too(Import_Management2
)..
t is not expected that the data under a column
would
need to show fully without user resizing that
column
since the data can vary in size and be based on
user input.
But the column header label is always same size
and a
relatively short label thats important for user to
see.

Chinese localization will use a larger font than
default
one now used so these issues will be more visible
to them,
but this can also be viewed as a general or a11y
issue
since may be visible to users in english locale
who use
larger fonts.

Assumption is that user should be able to see
all items in a given window when it appears and
should
not need to resize it to see those things.

That is, the UI area or window should dynamically
resize
itself to show the needed contents.
(this does not apply to contents of textfields,
areas
controlled by scrollbars)

To emulate in non multibyte locale without
multibyte
in messages or longer messages, you may need to
run
with fontsize 18 or 20 to see what we are seeing
with
fontsize 16. Even with larger sizes, it may not be
seen
exactly the same due to the effect of multibyte
and longer
strings.

This issue is marked with the FONTSIZE keywork;
bugs so
marked will not appear on quality dashboards and
will not
need to be waived or fixed for English FCS
products of this release.
For Netbeans issues, this will be marked as
blocking 33246
Comment 1 Ken Frank 2003-06-05 00:47:49 UTC
Created attachment 10596 [details]
wizard panel
Comment 2 Ken Frank 2003-06-05 00:48:52 UTC
Created attachment 10597 [details]
other wizard panel
Comment 3 Chris Ledantec 2003-06-05 08:51:59 UTC
Dusan, i believe this should be assigned to you
Comment 4 Vitezslav Stejskal 2003-06-09 14:34:07 UTC
Dusan, are you going to fix it or should the developement take care of it?
Comment 5 dpavlica 2003-06-10 17:16:41 UTC
Gabo is the right HIE person for this type of issues. So, reassigned
to him...
Comment 6 Gabriel Tichy 2003-06-11 09:44:50 UTC
Ken is right, all column labels should be visible, and therefore
dialog should be resized accordingly.
Comment 7 Vitezslav Stejskal 2003-06-11 12:30:22 UTC
OK, we will look at it.
Comment 8 Tomas Hurka 2003-06-11 14:19:23 UTC
The root of the problem seems to be in TreeTableView. 
Comment 9 Jan Becicka 2003-07-09 14:45:34 UTC
Tomasi, does your last comment mean, that we 
should reassign this bug to openide?
Comment 10 Tomas Hurka 2003-07-11 08:28:06 UTC
There is already issue #34379. I think I will leave this issue here and wait till 34379 is 
resolved.
Comment 11 Jan Chalupa 2004-02-13 09:10:26 UTC
So issue #34379 apparently isn't going to be resolved for 3.6.
Comment 12 psuk 2004-02-26 15:25:01 UTC
3.6 Bug Waiver Proposal

Justification
---------------------
The TreeTableView doesn't support auto-resize feature (see Issue
34379). Also, it's questionable whether the table and wizard should be
resized at all, as it requires creation of all panels during open
time, which has an impact on performance.
Comment 13 psuk 2004-03-01 10:27:04 UTC
No objection to waiver filed - marking as 3.6_WAIVER_APPROVED

Comment 14 Jan Becicka 2004-06-18 13:59:56 UTC
Closing, Import Management Tools was replaced by Fix Import functionality.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo